package com.winhc.repal.enums;

import java.math.BigDecimal;
import java.util.Objects;

/**
 * @Description: DiagnosisTrendEnum
 * @Author: xda
 * @Date: 2022/4/14 11:40
 */
public enum DiagnosisTrendEnum {

    /**
     *  评估趋势
     */
    ASCEND(1, "上升"),
    DESCENT(2, "下降"),
    KEEP(0, "保持");

    private final Integer code;

    private final String msg;

    DiagnosisTrendEnum(Integer code, String msg) {
        this.code = code;
        this.msg = msg;
    }

    public Integer getCode() {
        return this.code;
    }

    public String getMsg() {
        return this.msg;
    }
}
