package com.winhc.repal.model.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @Description: HomeTypeDTO
 * @Author: xda
 * @Date: 2022/5/6 18:20
 */
@Data
@ApiModel("首页查询dto")
public class HomeTypeDTO {

    @ApiModelProperty(value = "查询类型。[1]近7天 [2]近30天 [3]全部.默认7天")
    private Integer queryType = 1;

    @ApiModelProperty(value = "账本id")
    private Long repalBookId;

}
