package com.winhc.repal.model.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.time.LocalDateTime;

/**
 * @author Aaron
 * @date 2022/5/7 10:06
 * @description
 */
@Data
@ApiModel("催款动态")
public class RepalDynamicVO {
    @ApiModelProperty(value = "成员id")
    private Long memberId;

    @ApiModelProperty(value = "成员名字")
    private String memberUserName;

    @ApiModelProperty(value = "动态类型 1短信 2律师函 3咨询 4诉讼 5其他")
    private Integer dynamicType;

    @ApiModelProperty(value = "动态内容")
    private String dynamicDesc;

    @ApiModelProperty(value = "动态时间")
    @JsonFormat(pattern = "yyyy-MM-dd hh:mm:ss")
    private LocalDateTime timeCreated;
}
