package com.winhc.repal.util;

import com.winhc.repal.model.bo.UserContextBO;

/**
 * @Description: UserContext
 * @Author: xda
 * @Date: 2022/3/31 19:15
 */
public class UserContextUtil {

    private static final ThreadLocal<UserContextBO> USER_THREAD_LOCAL = new ThreadLocal<>();


    public static void saveUser(UserContextBO userContextBO) {
        USER_THREAD_LOCAL.set(userContextBO);
    }

    public static UserContextBO getUser() {
        return USER_THREAD_LOCAL.get();
    }

    public static void removeUser() {
        USER_THREAD_LOCAL.remove();
    }
}
