package com.winhc.repal.model.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;

/**
 * @author Aaron
 * @date 2021/8/5 19:36
 * @description
 */
@Data
@ApiModel("提醒数量")
@AllArgsConstructor
public class RepalRemindCountVO {
    @ApiModelProperty("逾期动态数量")
    private Integer overdueCount;

    @ApiModelProperty("逾期动态未读数量")
    private Integer unreadOverdueCount;

    @ApiModelProperty("风险动态数量")
    private Integer riskCount;

    @ApiModelProperty("风险动态未读数量")
    private Integer unreadRiskCount;

    @ApiModelProperty("财产动态数量")
    private Integer financeCount;

    @ApiModelProperty("财产动态未读数量")
    private Integer unreadFinanceCount;

    @ApiModelProperty("评级动态数量")
    private Integer rankCount;

    @ApiModelProperty("评级动态未读数量")
    private Integer unreadRankCount;

    @ApiModelProperty("总数量")
    private Integer totalCount;

    @ApiModelProperty("未读总数量")
    private Integer unreadTotalCount;
}
