package com.winhc.repal.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.winhc.repal.entity.RepalGroupMember;


/**
 * @description RepalGroupMember 接口类
 * @author Generator
 * @date 2022-04-08
 */
public interface RepalGroupMemberService extends IService<RepalGroupMember> {

    /**
     * 获取用户组织id
     * @param userId userId
     * @return java.lang.Long
     * @author xda
     * @date 2022/5/6 11:00
     */
    Long getUserGroupId(Long userId);

    /**
     * 添加组织成员
     * @param userId userId
     * @param userName userName
     * @param groupId groupId
     * @param roleId roleId
     * @param roleType roleType
     * @return java.lang.Boolean
     * @author xda
     * @date 2022/5/6 14:25
     */
    Boolean addGroupMember(Long userId, String userName, Long groupId, Long roleId, Integer roleType);

}
